<?php

  require('includes/application_top.php');

  ini_set('display_errors', true);
  error_reporting(E_ALL & ~E_NOTICE);

  defined('MT_DS') || define('MT_DS', DIRECTORY_SEPARATOR);
  defined('MT_FS_ROOT') || define('MT_FS_ROOT', dirname(dirname(__FILE__)).MT_DS);//DIR_FS_CATALOG
  defined('MT_WS_ROOT') || define('MT_WS_ROOT', preg_replace('#[^/]+/?$#', '', DIR_WS_ADMIN));//DIR_WS_CATALOG

  //require(MT_FS_ROOT.'includes'.MT_DS.'modules'.MT_DS.'magiczoom'.MT_DS.'functions.php');
  //require(MT_FS_ROOT.preg_replace('/\/|\\\\/', MT_DS, DIR_WS_MODULES).'magiczoom'.MT_DS.'functions.php');

  function isConfigurationExists() {
    $result = tep_db_query("SHOW TABLES LIKE 'magiczoom_configuration'");
    if(!$result || !tep_db_num_rows($result)) {
        return false;
    }
    return true;
  }

  $magiczoomConfigurationExists = isConfigurationExists();

  $projectVersion = array();
  if(preg_match('#v\s*(\d(?:\.\d)+)#', PROJECT_VERSION, $projectVersion)) {
    $projectVersion = $projectVersion[1];
  } else {
    die('Can\'t determine the project version. Make sure "'.PROJECT_VERSION.'" is suppoted by this module.');
  }

  if(version_compare($projectVersion, '6.5.3', '>=')) {
    //CRELoaded v6.5.3 and above
    require(DIR_WS_INCLUDES.'modules/magiczoomplus/CRELoaded.6.5.x.php');
  } else if(version_compare($projectVersion, '6.3', '>=')) {
    //CRELoaded v6.3.x and above
    require(DIR_WS_INCLUDES.'modules/magiczoomplus/CRELoaded.6.3.x.php');
  } else if(version_compare($projectVersion, '6.2', '>=')) {
    //CRELoaded v6.2.x
    require(DIR_WS_INCLUDES.'modules/magiczoomplus/CRELoaded.6.2.x.php');
  } else {
    die('Make sure "'.PROJECT_VERSION.'" is suppoted by this module.');
  }
